<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Document</title>
    </head>
    <body>
        <h1>art2</h1>
        <!-- 
        数组
        通过each标签进行展示，语法：
            {{each 变量}}
                循环体
                默认的key与value的变量名是：键使用$index，值是$value，内置的一定需要加$符号
                允许自己定义自己的key与value变量名，自己定义名字是可以不用加$符号，如果自定义的话，则
                eachi 变量名 值 键
            {{/each}}
     -->
        <ul>
            {{each arr}}
                <li>{{$index}} - {{$value}}</li>
            {{/each}}
        </ul>
        <ul>
            {{each arr value k}}
                <li>{{k}} - {{value}}</li>
            {{/each}}
        </ul>
    </body>
</html>
